<?php

namespace Btravel\Infobjects;

use DB;
use Illuminate\Database\Seeder;

class IconTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('icons')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'infobjects.icon.view',
                'name'      => 'View Icon',
            ],
            [
                'slug'      => 'infobjects.icon.create',
                'name'      => 'Create Icon',
            ],
            [
                'slug'      => 'infobjects.icon.edit',
                'name'      => 'Update Icon',
            ],
            [
                'slug'      => 'infobjects.icon.delete',
                'name'      => 'Delete Icon',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/infobjects/icon',
                'name'        => 'Icon',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/infobjects/icon',
                'name'        => 'Icon',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'icon',
                'name'        => 'Icon',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Infobjects',
                'module'    => 'Icon',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'infobjects.icon.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
