<?php

namespace Btravel\Infobject;

use DB;
use Illuminate\Database\Seeder;

class InfobjectTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('infobjects')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'infobject.infobject.view',
                'name'      => 'View Infobject',
            ],
            [
                'slug'      => 'infobject.infobject.create',
                'name'      => 'Create Infobject',
            ],
            [
                'slug'      => 'infobject.infobject.edit',
                'name'      => 'Update Infobject',
            ],
            [
                'slug'      => 'infobject.infobject.delete',
                'name'      => 'Delete Infobject',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/infobject/infobject',
                'name'        => 'Infobject',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/infobject/infobject',
                'name'        => 'Infobject',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'infobject',
                'name'        => 'Infobject',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Infobject',
                'module'    => 'Infobject',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'infobject.infobject.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
