<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for infobject in infobjects package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  infobject module in infobjects package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Infobject',
    'names'         => 'Infobjects',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Infobjects',
        'sub'   => 'Infobjects',
        'list'  => 'List of infobjects',
        'edit'  => 'Edit infobject',
        'create'    => 'Create new infobject'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['online','offline'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'brand_id'                   => 'Please enter brand id',
        'category_id'                => 'Please enter category id',
        'objects'                    => 'Please enter objects',
        'headline'                   => 'Please enter headline',
        'information'                => 'Please enter information',
        'expirydate'                 => 'Please select expirydate',
        'status'                     => 'Please select status',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'brand_id'                   => 'Brand id',
        'category_id'                => 'Category id',
        'objects'                    => 'Objects',
        'headline'                   => 'Headline',
        'information'                => 'Information',
        'expirydate'                 => 'Expirydate',
        'status'                     => 'Status',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'category_id'                => ['name' => 'Category id', 'data-column' => 1, 'checked'],
        'expirydate'                 => ['name' => 'Expirydate', 'data-column' => 2, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Infobjects',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
