    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#infobject" data-toggle="tab">{!! trans('infobjects::infobject.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#infobjects-infobject-edit'  data-load-to='#infobjects-infobject-entry' data-datatable='#infobjects-infobject-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#infobjects-infobject-entry' data-href='{{guard_url('infobjects/infobject')}}/{{$infobject->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('infobjects-infobject-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('infobjects/infobject/'. $infobject->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="infobject">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('infobjects::infobject.name') !!} [{!!$infobject->name!!}] </div>
                @include('infobjects::admin.infobject.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>