<?php

namespace Btravel\Infobjects\Repositories\Eloquent;

use Btravel\Infobjects\Interfaces\IconRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class IconRepository extends BaseRepository implements IconRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('btravel.infobjects.icon.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('btravel.infobjects.icon.model.model');
    }
}
