<?php

namespace Btravel\Infobject\Repositories\Eloquent;

use Btravel\Infobject\Interfaces\InfobjectRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class InfobjectRepository extends BaseRepository implements InfobjectRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('btravel.infobject.infobject.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('btravel.infobject.infobject.model.model');
    }
}
