<?php

namespace Btravel\Infobject;

use DB;
use Illuminate\Database\Seeder;

class InfocategoryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('infocategories')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'infobject.infocategory.view',
                'name'      => 'View Infocategory',
            ],
            [
                'slug'      => 'infobject.infocategory.create',
                'name'      => 'Create Infocategory',
            ],
            [
                'slug'      => 'infobject.infocategory.edit',
                'name'      => 'Update Infocategory',
            ],
            [
                'slug'      => 'infobject.infocategory.delete',
                'name'      => 'Delete Infocategory',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/infobject/infocategory',
                'name'        => 'Infocategory',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/infobject/infocategory',
                'name'        => 'Infocategory',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'infocategory',
                'name'        => 'Infocategory',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Infobject',
                'module'    => 'Infocategory',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'infobject.infocategory.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
