    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#details" data-toggle="tab">  {!! trans('infobjects::infobject.name') !!}</a></li>
            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-success btn-sm" data-action='NEW' data-load-to='#infobjects-infobject-entry' data-href='{{guard_url('infobjects/infobject/create')}}'><i class="fa fa-plus-circle"></i> {{ trans('app.new') }}</button>
                @if($infobject->id )
                <button type="button" class="btn btn-primary btn-sm" data-action="EDIT" data-load-to='#infobjects-infobject-entry' data-href='{{ guard_url('infobjects/infobject') }}/{{$infobject->getRouteKey()}}/edit'><i class="fa fa-pencil-square"></i> {{ trans('app.edit') }}</button>
                <button type="button" class="btn btn-danger btn-sm" data-action="DELETE" data-load-to='#infobjects-infobject-entry' data-datatable='#infobjects-infobject-list' data-href='{{ guard_url('infobjects/infobject') }}/{{$infobject->getRouteKey()}}' >
                <i class="fa fa-times-circle"></i> {{ trans('app.delete') }}
                </button>
                @endif
            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('infobjects-infobject-show')
        ->method('POST')
        ->files('true')
        ->action(guard_url('infobjects/infobject'))!!}
            <div class="tab-content clearfix disabled">
                <div class="tab-pan-title"> {{ trans('app.view') }}   {!! trans('infobjects::infobject.name') !!}  [{!! $infobject->name !!}] </div>
                <div class="tab-pane active" id="details">
                    @include('infobjects::admin.infobject.partial.entry', ['mode' => 'show'])
                </div>
            </div>
        {!! Form::close() !!}
    </div>