            @include('infobject::icon.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('infobject::icon.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($icon->defaultImage('images' , 'xl'))!!}" alt="{{$icon->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('infobject::icon.label.id') !!}
                </label><br />
                    {!! $icon['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="icon_type">
                    {!! trans('infobject::icon.label.icon_type') !!}
                </label><br />
                    {!! $icon['icon_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('infobject::icon.label.name') !!}
                </label><br />
                    {!! $icon['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="image">
                    {!! trans('infobject::icon.label.image') !!}
                </label><br />
                    {!! $icon['image'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('infobject::icon.label.slug') !!}
                </label><br />
                    {!! $icon['slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('infobject::icon.label.user_id') !!}
                </label><br />
                    {!! $icon['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_type">
                    {!! trans('infobject::icon.label.user_type') !!}
                </label><br />
                    {!! $icon['user_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('infobject::icon.label.created_at') !!}
                </label><br />
                    {!! $icon['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('infobject::icon.label.updated_at') !!}
                </label><br />
                    {!! $icon['updated_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('infobject::icon.label.deleted_at') !!}
                </label><br />
                    {!! $icon['deleted_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="PRIMARY">
                    {!! trans('infobject::icon.label.PRIMARY') !!}
                </label><br />
                    {!! $icon['PRIMARY'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('icon_type')
                       -> label(trans('infobject::icon.label.icon_type'))
                       -> placeholder(trans('infobject::icon.placeholder.icon_type'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('name')
                       -> label(trans('infobject::icon.label.name'))
                       -> placeholder(trans('infobject::icon.placeholder.name'))!!}
                </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="image" class="control-label col-lg-12 col-sm-12 text-left"> {{trans('infobject::icon.label.image') }}
                        </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $icon->files('image')
                            ->url($icon->getUploadUrl('image'))
                            ->mime(config('filer.image_extensions'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                        {!! $icon->files('image')
                        ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('PRIMARY')
                       -> label(trans('infobject::icon.label.PRIMARY'))
                       -> placeholder(trans('infobject::icon.placeholder.PRIMARY'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



