<?php

namespace Btravel\Infobject\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Infocategory policy
        'Btravel\Infobject\Models\Infocategory' => \Btravel\Infobject\Policies\InfocategoryPolicy::class,// Bind Infobject policy
        'Btravel\Infobject\Models\Infobject' => \Btravel\Infobject\Policies\InfobjectPolicy::class,// Bind Icon policy
        'Btravel\Infobject\Models\Icon' => \Btravel\Infobject\Policies\IconPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
