<?php

namespace Btravel\Infobject\Repositories\Eloquent;

use Btravel\Infobject\Interfaces\IconRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class IconRepository extends BaseRepository implements IconRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('btravel.infobject.icon.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('btravel.infobject.icon.model.model');
    }
}
